Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » M2T (model-to-text transformation) » [Acceleo] Getting started example doesn't work
[Acceleo] Getting started example doesn't work [message #1047162] Mon, 22 April 2013 21:51 Go to next message
Joe Gugliemino is currently offline Joe Gugliemino
Messages: 9
Registered: April 2013
Junior Member
Hi, I'm new to Acceleo and trying to get the Getting Started example (http://wiki.eclipse.org/Acceleo/Getting_Started) to work. My problem is that the screen shots in the wiki don't match up with what I'm seeing in Eclipse. For instance, the first screenshot I've attached (File-->New-->Acceleo Project) shows a window that has extra fields compared to the wiki.

That might be OK, but when I click Next, the next window has an empty Metamodel URIs window, and I cannot put in the UML 3.3.0 URI given in the example. When I entered the URI in a browser I get a 404.

Could somebody point me to instructions that can get me going, or fixes for the problems that I'm having? I'm running Juno SR1, Acceleo 3.3.1 as shown in the screenshot.

Thanks in advance.



- Joe
Re: [Acceleo] Getting started example doesn't work [message #1047622 is a reply to message #1047162] Tue, 23 April 2013 12:57 Go to previous messageGo to next message
Tomasz  Babczyński is currently offline Tomasz Babczyński
Messages: 2
Registered: March 2011
Junior Member
Hi Joe,
You have simply newer version of acceleo than described in the tutorial, don't panic. Wink
But about the metamodel... You may haven't installed the uml2 feature. It is not required by acceleo. Try to click the "+" button right to the "metamodel URI" field; in the dialog try to write *UML and look for the something_i_dont_remember.uml2.3.0.0
If it appears - choose it, if not - install the uml2 feature first (it is not acceleo feature but eclipse itself)

T.B.
Re: [Acceleo] Getting started example doesn't work [message #1047780 is a reply to message #1047622] Tue, 23 April 2013 16:29 Go to previous messageGo to next message
Joe Gugliemino is currently offline Joe Gugliemino
Messages: 9
Registered: April 2013
Junior Member
I tried to find UML2 as a download for Eclipse but couldn't. This post in the forums indicates that UML2 is dead and I should use Papyrus. The only Papyrus I found was Mylyn Context Connector: Papyrus UML (Incubation) under Collaboration, and Papyrus SDK Binaries which I had already installed as part of Modeling. I installed the Mylyn Papyrus package, hoping that it might be enough, but it wasn't. Do I need to install Papyrus? If so, where do I get it? This unresolved dependency issue is rapidly becoming frustrating.


- Joe

[Updated on: Tue, 23 April 2013 16:30]

Report message to a moderator

Re: [Acceleo] Getting started example doesn't work [message #1047831 is a reply to message #1047780] Tue, 23 April 2013 18:03 Go to previous messageGo to next message
Ed Willink is currently offline Ed Willink
Messages: 4045
Registered: July 2009
Senior Member
Hi

You can't be trying very hard. MDT/UML2 is one of the most important
Eclipse Modeling projects.

It is UML2 Tools that is dead.

Regards

Ed Willink


On 23/04/2013 17:29, Joe Gugliemino wrote:
> I tried to find UML2 as a download for Eclipse but couldn't.
> http://www.eclipse.org/forums/index.php/mv/msg/441650/991214/#msg_991214
> indicates that UML2 is dead and I should use Papyrus. The only
> Papyrus I found was Mylyn Context Connector: Papyrus UML (Incubation)
> under Collaboration, and Papyrus SDK Binaries which I had already
> installed as part of Modeling. I installed the Mylyn Papyrus package,
> hoping that it might be enough, but it wasn't. Do I need to install
> Papyrus? If so, where do I get it? This unresolved dependency issue
> is rapidly becoming frustrating.
Re: [Acceleo] Getting started example doesn't work [message #1062526 is a reply to message #1047831] Sat, 08 June 2013 09:20 Go to previous messageGo to next message
Low Coupling is currently offline Low Coupling
Messages: 31
Registered: June 2013
Member
Follow this post to install the whole plugins you need
http://lowcoupling.com/post/46654979045/the-eclipse-modeling-project

Then try this for UML 2 Text code generation
http://lowcoupling.com/post/47347056110/models-to-text-transformations-with-mofm2t-and-acceleo

or this
http://lowcoupling.com/dslengineering
for an example encompassing the definition of a new DSL meta-model

Regards


interested on Eclipse, DSL and MDA? Visit http://www.lowcoupling.com
Re: [Acceleo] Getting started example doesn't work [message #1067661 is a reply to message #1062526] Tue, 09 July 2013 20:38 Go to previous messageGo to next message
Joe Gugliemino is currently offline Joe Gugliemino
Messages: 9
Registered: April 2013
Junior Member
Low Coupling wrote on Sat, 08 June 2013 05:20


Follow this post to install the whole plugins you need
...

Then try this for UML 2 Text code generation
...

or this
...

for an example encompassing the definition of a new DSL meta-model

Regards


Thanks very much for the links. I had gotten a test project to generate some code using the sample model provided. Coming back to it now I am finding that my project is taking an error trying to find the meta-model URI:

Quote:

[module artigenEval('http://www.eclipse.org/uml2/4.0.0/UML')]


Did the resources get relocated to a new URI? This URI gives a 404 File Not Found error when typed directly into a browser. I noticed that I am using the same URI as you did in the links you gave me.

If I were to adopt this process for a production development environment I would not want to depend on an external URI. Do other people pull the resources down to a local location when doing their work?



- Joe
Re: [Acceleo] Getting started example doesn't work [message #1068396 is a reply to message #1067661] Sat, 13 July 2013 06:19 Go to previous messageGo to next message
Low Coupling is currently offline Low Coupling
Messages: 31
Registered: June 2013
Member
Hi Joe,
those URI are identifiers of local resources (meta-models). They are just a means to identify a meta-model and are not actual web URL.


interested on Eclipse, DSL and MDA? Visit http://www.lowcoupling.com
Re: [Acceleo] Getting started example doesn't work [message #1069223 is a reply to message #1068396] Mon, 15 July 2013 12:52 Go to previous messageGo to next message
Joe Gugliemino is currently offline Joe Gugliemino
Messages: 9
Registered: April 2013
Junior Member
Ok, if they're local references that still leaves my with a problem. I don't have any way to locate the UML2 meta-models. They used to show up. When I created a new Acceleo project they would be part of the meta-model list and I could filter down and find them. Now they're not in the list. Is there a project resource setting or a search path that needs to be set to include them? I am having a problem understanding how they could be there one time and not the next even though I have had a system reboot in between sessions.

I must have lost a setting somewhere but I don't have any idea which it is or how to fix it.



- Joe
Re: [Acceleo] Getting started example doesn't work [message #1069365 is a reply to message #1069223] Mon, 15 July 2013 18:54 Go to previous message
Joe Gugliemino is currently offline Joe Gugliemino
Messages: 9
Registered: April 2013
Junior Member
I found the problem. Of course it was simple in hindsight. I have both Juno SR1 and SR2 installed on my system. SR1 is on my path and I never did get Acceleo to work with my .mtl file. I had installed SR2 in an attempt to get around the problems and had success. I had forgotten that I explicitly ran my SR2 install to get my model to generate code. After the reboot I just ran 'eclipse' and didn't realize it was putting me back into SR1.

Now that I've realized it I started running SR2 and things are working again.



- Joe
Previous Topic:the order of the element in the collection does not maintain
Next Topic:Trying to install acceleo Ecore to Python module
Goto Forum:
  


Current Time: Wed Sep 17 05:52:46 GMT 2014

Powered by FUDForum. Page generated in 0.02109 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software